#!/usr/bin/perl

open(FUPP,"VideoCards")||die $!;
while (<FUPP>) {
	chomp;
	if (/PCI-Vendor: (.*)/) {
		$vendor = $1;
	}
	if (/PCI-Device: (.*)/) {
		die "$vendor . $1 ... already exists.\n" if ($xmap{$vendor.$1});
		$xmap{$vendor.$1}=1;
	}
}
